package org.hibernate.test.typedescriptor;

import org.hibernate.Session;
import org.hibernate.junit.functional.FunctionalTestCase;

/**
 * @author Strong Liu <stliu@hibernate.org>
 */
public class CharInNativeQueryTest extends FunctionalTestCase {
	public CharInNativeQueryTest(String string) {
		super( string );
	}

	@Override
	public String[] getMappings() {
		return new String[] { "typedescriptor/Issue.hbm.xml" };
	}

	public void testNativeQuery() {
		Issue issue = new Issue();
		issue.setIssueNumber( "HHH-2304" );
		issue.setDescription( "Wrong type detection for sql type char(x) columns" );

		Session session = openSession();
		session.beginTransaction();
		session.persist( issue );
		session.getTransaction().commit();
		session.close();

		session = openSession();
		session.beginTransaction();
		Object issueNumber = session.createSQLQuery( "select issue.issueNumber from Issue issue" ).uniqueResult();
		session.getTransaction().commit();
		session.close();

		assertNotNull( issueNumber );
		assertTrue( "actual type is "+issueNumber.getClass().getName(), issueNumber instanceof String );
		assertEquals( "HHH-2304", issueNumber );

	}
}
